version: '3'
services:
  web:
    build: .
    ports:
      - "8080:8080"
    environment:
      - MONGODB_URI=mongodb://mongo:27017/leader-board-db
    links:
      - mongo
    depends_on:
      - mongo
    networks:
      - leaderboard
    volumes:
      - .:/starter
      - /starter/node_modules
  mongo:
    image: mongo:3.6
    ports:
      - "27017:27017"
    networks:
      - leaderboard
    restart: always
networks:
  leaderboard:
    external: true
